petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscInfoActivateClass

Activates PlogInfo() messages for a PETSc object class.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscInfoActivateClass(int objclass)

Not Collective Many br

### Input Parameter

objclass -The object class, e.g., MAT_CLASSID, SNES_CLASSID, etc. Many br

### Notes

One can pass 0 to activate all messages that are not associated with an object. Many br

Many br

### Keywords

allow, information, printing, monitoring

### See Also

PetscInfoDeactivateClass(), PetscInfo(), PetscInfoAllow()

Level:developer
Location:src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages